Hi,

I'm looking for a good photo management software. First I looked into F-spot but I'm a bit skeptic about Mono. Now I'm thinking of DigiKam but the dependencies are crazy in Squeeze. I'm running some quite tight installations using Gnome as Window manager.


On my Lenny machine (not the actual target, just used as reference) DigiKam would like to install 16 new packages but on my Squeeze machine (the actual target) DigiKam would like to install 116 packages. How can it come that I would get 100 extra packages on Squeeze? Something has to be wrong with the dependencies in Squeeze. Please see attached command outputs.

I'm not on the list, please reply to me direct.

Regards,
// Mem

                                  _\\|//_
                                  (-0-0-)
                 /--------------ooO-(_)-Ooo--------------\
                 |            Magnus Sandberg            |
                 |         Email:  m...@netnod.se         |
                 \---------------------------------------/
                                  ||   ||
                                 ooO   Ooo
lenny:~# apt-get -d --no-install-recommends install digikam
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libsilc-1.1-2
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  kdebase-kio-plugins kdeeject kdelibs-data kdelibs4c2a libarts1c2a
  libavahi-qt3-1 libdbus-qt-1-1c2 libfreebob0 libjack0 libkdcraw3 libkexiv2-3
  libkipi0 liblua50 liblualib50 libqt3-mt
Suggested packages:
  digikam-doc khelpcenter mtools djvulibre-bin fam perl-suid jackd
  libqt3-mt-psql libqt3-mt-mysql libqt3-mt-odbc
Recommended packages:
  kipi-plugins kdeprint konqueror pmount kamera kdemultimedia-kio-plugins
  libarts1-akode
The following NEW packages will be installed:
  digikam kdebase-kio-plugins kdeeject kdelibs-data kdelibs4c2a libarts1c2a
  libavahi-qt3-1 libdbus-qt-1-1c2 libfreebob0 libjack0 libkdcraw3 libkexiv2-3
  libkipi0 liblua50 liblualib50 libqt3-mt
0 upgraded, 16 newly installed, 0 to remove and 0 not upgraded.
Need to get 35.4MB of archives.
After this operation, 101MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
squeeze:~# aptitude -d -R install digikam
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading extended state information... Done
Initializing package states... Done       
The following NEW packages will be installed:
  akonadi-server{a} digikam kdebase-runtime{a} kdebase-runtime-data{a} 
  kdegraphics-libs-data{a} kdelibs-bin{a} kdelibs5-data{a} 
  kdelibs5-plugins{a} kdepim-runtime{a} kdepimlibs-kio-plugins{a} 
  kdoctools{a} libakonadi-kabc4{a} libakonadi-kcal4{a} libakonadi-kde4{a} 
  libakonadi-kmime4{a} libakonadiprivate1{a} libattica0{a} libavcodec52{a} 
  libavutil49{a} libboost-program-options1.42.0{a} libcdio10{a} 
  libclucene0ldbl{a} libexiv2-6{a} libilmbase6{a} libiodbc2{a} 
  libiso9660-7{a} libkabc4{a} libkcal4{a} libkdcraw8{a} libkde3support4{a} 
  libkdecore5{a} libkdesu5{a} libkdeui5{a} libkdnssd4{a} libkexiv2-8{a} 
  libkfile4{a} libkhtml5{a} libkimap4{a} libkio5{a} libkipi7{a} 
  libkjsapi4{a} libkjsembed4{a} libkldap4{a} libkmediaplayer4{a} 
  libkmime4{a} libknewstuff2-4{a} libknewstuff3-4{a} libknotifyconfig4{a} 
  libkntlm4{a} libkparts4{a} libkpimutils4{a} libkpty4{a} libkresources4{a} 
  libkrosscore4{a} libktexteditor4{a} libkutils4{a} liblensfun-data{a} 
  liblensfun0{a} liblqr-1-0{a} libmad0{a} libmagickcore3{a} 
  libmagickwand3{a} libmailtransport4{a} libmarblewidget4{a} 
  libmicroblog4{a} libmysqlclient16{a} libnepomuk4{a} libnepomukquery4a{a} 
  libopenexr6{a} libphonon4{a} libplasma3{a} libpolkit-qt-1-0{a} 
  libpostproc51{a} libqca2{a} libqt4-dbus{a} libqt4-designer{a} 
  libqt4-qt3support{a} libqt4-script{a} libqt4-sql{a} libqt4-sql-mysql{a} 
  libqt4-sql-sqlite{a} libqt4-svg{a} libqt4-webkit{a} libqt4-xml{a} 
  libqt4-xmlpatterns{a} libsmbclient{a} libsolid4{a} libsoprano4{a} 
  libssh-4{a} libstreamanalyzer0{a} libstreams0{a} libtalloc2{a} 
  libthreadweaver4{a} libvcdinfo0{a} libwbclient0{a} libxcb-shape0{a} 
  libxcb-shm0{a} libxcb-xv0{a} libxine1{a} libxine1-bin{a} 
  libxine1-console{a} libxine1-ffmpeg{a} libxine1-misc-plugins{a} 
  libxine1-plugins{a} libxine1-x{a} libxvmc1{a} marble-data{a} 
  mysql-common{a} mysql-server-core-5.1{a} oxygen-icon-theme{a} phonon{a} 
  phonon-backend-xine{a} plasma-scriptengine-javascript{a} 
  shared-desktop-ontologies{a} soprano-daemon{a} xdg-utils{a} 
The following packages are RECOMMENDED but will NOT be installed:
  exiv2 kaboom kipi-plugins marble-plugins virtuoso-minimal 
0 packages upgraded, 116 newly installed, 0 to remove and 0 not upgraded.
Need to get 118MB of archives. After unpacking 293MB will be used.
Do you want to continue? [Y/n/?] n
Abort.
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to